Method: projects.locations.frameworks.list

Lists the frameworks (both built-in and custom) that are available within the parent resource. The latest major version of each framework is returned. This method supports pagination.

HTTP request

GET https://cloudsecuritycompliance.googleapis.com/v1/{parent=projects/*/locations/*}/frameworks

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource name, in one of the following formats: - organizations/{organization}/locations/{location} - projects/{project}/locations/{location}. The only supported location is global.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of frameworks to return. The default value is 500.

If you exceed the maximum value of 1000, then the service uses the maximum value.

pageToken

string

Optional. A pagination token returned from a previous request to list frameworks. Provide this token to retrieve the next page of results.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ListFrameworksResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • cloudsecuritycompliance.frameworks.list

For more information, see the IAM documentation.